org.apache.fop.render.bitmap

## Class TIFFRendererConfig.TIFFRendererConfigParser

- java.lang.Object
- - org.apache.fop.render.bitmap.BitmapRendererConfig.BitmapRendererConfigParser
  - - org.apache.fop.render.bitmap.TIFFRendererConfig.TIFFRendererConfigParser

All Implemented Interfaces:
  RendererConfig.RendererConfigParser

Enclosing class:
  TIFFRendererConfig

    public static final class TIFFRendererConfig.TIFFRendererConfigParser
    extends BitmapRendererConfig.BitmapRendererConfigParser

The TIFF renderer configuration parser.

### Constructor Summary

Constructors
Constructor and Description
`TIFFRendererConfigParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TIFFRendererConfig` `build(FOUserAgent userAgent, Configuration cfg)` Builds the object that contains the renderer configuration data.

### Methods inherited from class org.apache.fop.render.bitmap.BitmapRendererConfig.BitmapRendererConfigParser

`getMimeType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TIFFRendererConfigParser

    public TIFFRendererConfigParser()

### Method Detail

#### build

    public TIFFRendererConfig build(FOUserAgent userAgent,
                                    Configuration cfg)
                             throws FOPException

Builds the object that contains the renderer configuration data.

Specified by:
  `build` in interface `RendererConfig.RendererConfigParser`
Overrides:
  `build` in class `BitmapRendererConfig.BitmapRendererConfigParser`
Parameters:
  `userAgent` - the user agent
  `cfg` - the Avalon config object for parsing the data
Returns:
  the configuration data object
Throws:
  `FOPException` - if an error occurs while parsing the fop conf